﻿using UnityEngine;
using System.Collections;

[System.Serializable]
//  This class will be used to edit each individual weapon, both its stats and shop menu buttons!
public class WeaponStats : ScriptableObject { // notice this is not a MonoBehaviour class
    // display fields for shop buttons
    public string weaponName;
    public int cost;
    public string weaponDescription;
    /* these fields will be based on our implementation (add/delete from this list based on
     how we want to create our game. I made a short list for now. - Mike */
	public Sprite image;
    public float attackSpeed;
    public int damageMin;
    public int damageMax;
    //public bool purchased;
}
